Bug 139654 - sendmail AVC messages for /proc/loadavg
sendmail AVC messages for /proc/loadavg
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 03:58 EST by Joe Orton
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 17:50:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2004-11-17 03:58:27 EST
Yesterday's Raw Hide:

# rpm -q sendmail selinux-policy-targeted
sendmail-8.13.1-2.2
selinux-policy-targeted-1.19.1-9

gives:

audit(1100645684.832:0): avc:  denied  { getattr } for  pid=2506
exe=/usr/sbin/sendmail.sendmail path=/proc/loadavg dev=proc
ino=-268435456 scontext=user_u:system_r:system_mail_t
tcontext=system_u:object_r:proc_t tclass=file
audit(1100645684.867:0): avc:  denied  { sys_tty_config } for 
pid=2506 exe=/usr/sbin/sendmail.sendmail capability=26
scontext=user_u:system_r:system_mail_t
tcontext=user_u:system_r:system_mail_t tclass=capability
audit(1100645685.498:0): avc:  denied  { getattr } for  pid=2507
exe=/usr/sbin/sendmail.sendmail path=/proc/loadavg dev=proc
ino=-268435456 scontext=user_u:system_r:system_mail_t
tcontext=system_u:object_r:proc_t tclass=file
audit(1100645685.633:0): avc:  denied  { read } for  pid=2514
exe=/usr/sbin/sendmail.sendmail name=mtab dev=md0 ino=3793673
scontext=user_u:system_r:system_mail_t
tcontext=system_u:object_r:etc_runtime_t tclass=file

at boot.
Comment 1 Daniel Walsh 2004-11-17 10:42:32 EST
Fixed in selinux-policy-targeted-1.19.1-13

Note You need to log in before you can comment on or make changes to this bug.